com.atid.lib.module.rfid.uhf.event

## Interface IATRfidUhfEventListener

-     public interface IATRfidUhfEventListener

  The IATRfidUhfEventListener interface is an interface that defines event handling methods for handling events raised by the ATRfidUhf instance.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRfidUhfAccessResult(ATRfidUhf uhf, ResultCode code, ActionState action, java.lang.String epc, java.lang.String data, java.lang.Object params)` It is called when the device receives the result of executing the functions of Read Memory, Write Memory, Lock and so on.
    `void` | `onRfidUhfPowerGainChanged(ATRfidUhf uhf, int power, java.lang.Object params)` Invoked when the Power Gain is changed on the Device.
    `void` | `onRfidUhfReadTag(ATRfidUhf uhf, java.lang.String tag, java.lang.Object params)` Called when the device reads the tag while performing the Inventory function.

- - ### Method Detail

    - #### onRfidUhfReadTag

          void onRfidUhfReadTag(ATRfidUhf uhf,
                                java.lang.String tag,
                                java.lang.Object params)

      Called when the device reads the tag while performing the Inventory function.
      Parameters:
        `uhf` - An instance of ATRfidUhf where the event is invoked.
        `tag` - An Hex type string representing the tag value read by the Device.
        `params` - params If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onRfidUhfAccessResult

          void onRfidUhfAccessResult(ATRfidUhf uhf,
                                     ResultCode code,
                                     ActionState action,
                                     java.lang.String epc,
                                     java.lang.String data,
                                     java.lang.Object params)

      It is called when the device receives the result of executing the functions of Read Memory, Write Memory, Lock and so on.
      Parameters:
        `uhf` - An instance of ATRfidUhf where the event is invoked.
        `code` - The ResultCode enumeration indicating the result that the Device accessed the Tag.
        `action` - An ActionState enumeration indicating the behavior that the Device accessed the Tag.
        `epc` - An Hex type string representing the EPC value of the tag accessed by the Device.
        `data` - This is an Hex type string that indicates the data of the memory that is read when the Device performs the "Read Memory" function.
        `params` - params If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onRfidUhfPowerGainChanged

          void onRfidUhfPowerGainChanged(ATRfidUhf uhf,
                                         int power,
                                         java.lang.Object params)

      Invoked when the Power Gain is changed on the Device.
      Parameters:
        `uhf` - An instance of ATRfidUhf where the event is invoked.
        `power` - An integer representing the Power Gain Levle. The unit is dBm X 10.
        `params` - params If the event is accompanied by additional information, a non-null value is passed to the instance.